#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.8
visibility:           public
id:                   hOpenPGP-2.9.8-1Fzysq0pW5X8dsap1U0oyG
key:                  hOpenPGP-2.9.8-1Fzysq0pW5X8dsap1U0oyG
license:              MIT
copyright:            2012-2022  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  9f208e61c7569ae0dd7cb06d2cf3ac59
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hOpenPGP-2.9.8
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hOpenPGP-2.9.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.9.8-1Fzysq0pW5X8dsap1U0oyG
depends:
    aeson-2.1.2.1-9T6l6SxZl5u1C3PaFHxalW
    asn1-encoding-0.9.6-Hr1Ipf9yW86DaIXpOYUIp0
    attoparsec-0.14.4-IDdHCXuvqZFAtv2X99gOjm base-4.16.4.0
    base16-bytestring-1.0.2.0-3uI24z1Sq0HGbwd5beeMUi
    bifunctors-5.6-KcwfA9BQMWkL4Hbrg65qrM binary-0.8.9.0
    binary-conduit-1.3.1-F13sDk56nMX4jme5LedX5H bytestring-0.11.4.0
    bz2-1.0.1.1-7Ujz0MydhvE2nXVNiVJDMv
    conduit-1.3.6-7XhR2ax9qCFCYitRevMXBd
    conduit-extra-1.3.6-LNjgpnvA8Q8Ct50nG3gLWQ containers-0.6.5.1
    crypto-cipher-types-0.0.9-JlEUy6YMnlQJGxVQmgyp8z
    cryptonite-0.30-6UtYT4CGk2aBjs3ibtOMtg
    errors-2.3.0-JTIZutjoKI76dOwCEvOClJ
    hashable-1.4.4.0-JynHLbpSPE72B4j6uWctY4
    incremental-parser-0.5.1-DdgnQ8ijXQ8DlP2RHDR6MB
    ixset-typed-0.5.1.0-3RnbCjGsqZE49yAU0fgy0Z
    lens-5.2.3-FaAjdvRjDs8BQhMYQYzR8W
    memory-0.18.0-Hvum6HaH78UJG59LYyNLK1
    monad-loops-0.4.3-1PoLx7GFY2f6JjKzBe0o6E
    nettle-0.3.1.1-L3xnVJ00D4a5M1YFOenxXQ
    network-uri-2.6.4.2-3yIKQYUO8n73yiVU7Jt7Pm
    openpgp-asciiarmor-0.1.2-KXbMh7JroTHrwF3Zym19c
    prettyprinter-1.7.1-KnGgQk2daq0AGFQwkmg3r7
    resourcet-1.2.6-LfGMMseD8gYHfEEaghmlUT
    split-0.2.5-1asvxxLzz3P40WkIiqLwMi text-1.2.5.0 time-1.11.1.1
    time-locale-compat-0.1.1.5-LoE3V3We7KBAnFwKjT98C2
    transformers-0.5.6.2 unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-AzoOiKjV26Z32LkoSmNfI7
    zlib-0.6.3.0-5gxki6H4yPyJLzuGEYYfcG

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

